DtMmdbSectionGetBookId(library call)

NAME
DtMmdbSectionGetBookId — obtains the object identifier of a book

SYNOPSIS

#include &<DtMmdb.h>
DtMmdbHandle* DtMmdbSectionGetBookId(
DtMmdbInfoRequest* request);

DESCRIPTION

The DtMmdbSectionGetBookId function returns the object identifier of the book that contains the specified section. Use the DtMmdbFreeHandle function to release the identifier when it is no longer needed. Table lookup is involved if the section identifier is specified by the locator_ptr field.

ARGUMENTS

request
    Specifies the bookcase in the bookcase descriptor field and either the section's Database Engine identifier (in the primary_oid field) or the section's logical identifier (in the locator_ptr field). If both of these fields have a value, DtMmdbSectionGetBookId uses the locator_ptr value.

RETURN VALUE

If DtMmdbSectionGetBookId completes successfully, it returns a pointer to the book's object identifier. If it fails, it returns a NULL pointer.

EXAMPLE

The following shows how a DtMmdbSectionGetBookId call might be coded.

DtMmdbInfoRequest request;
/* fill the request here */
handle = DtMmdbSectionGetTocLoc(&&request);

SEE ALSO

DtMmdbFreeHandle(3)